Skip to navigation

List

View as Markdown

Returns a list of all merchant's product groups.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

Query parameters

namestringOptional
Product Group's name
group_typeenumOptional
Group Type's name
Allowed values:

Response

200
countintegerOptional

Total number of matching product groups. Not returned with cursor pagination.

nextstring or nullOptional

URL of the next page of results, or null on the last page.

previousstring or nullOptional

URL of the previous page of results, or null on the first page.

resultslist of objectsOptional

Errors

403
Forbidden Error
404
Not Found Error